import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["children", "animate"];
import cx from 'classnames';
import * as ReactSticky from 'react-stickup';
import { jsx as _jsx } from "react/jsx-runtime";
var BASE_CLASS = 'sui-BehaviorSticky';
var CLASS_ANIMATE = BASE_CLASS + "--animate";
var BehaviorStickyProvider = ReactSticky.StickyProvider; // eslint-disable-next-line react/prop-types

var BehaviorSticky = function BehaviorSticky(_ref) {
  var _children = _ref.children,
      animate = _ref.animate,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  return /*#__PURE__*/_jsx(ReactSticky.Sticky, _extends({
    className: BASE_CLASS
  }, props, {
    children: function children(_ref2) {
      var _cx;

      var isSticky = _ref2.isSticky;
      return /*#__PURE__*/_jsx("div", {
        className: cx((_cx = {}, _cx[CLASS_ANIMATE] = isSticky && animate, _cx)),
        children: _children
      });
    }
  }));
};

BehaviorSticky.displayName = 'BehaviorSticky';
BehaviorSticky.BehaviorStickyProvider = BehaviorStickyProvider;
export default BehaviorSticky;
export { BehaviorStickyProvider };